diff --git a/dbus-core.cabal b/dbus-core.cabal
--- a/dbus-core.cabal
+++ b/dbus-core.cabal
@@ -1,5 +1,5 @@
 name: dbus-core
-version: 0.9.2.1
+version: 0.9.3
 synopsis: Low-level D-Bus protocol implementation
 license: GPL-3
 license-file: license.txt
@@ -13,6 +13,11 @@
 homepage: https://john-millikin.com/software/dbus-core/
 bug-reports: mailto:jmillikin@gmail.com
 
+description:
+  OBSOLETE: Use the \"dbus\" package instead.
+  .
+  <http://hackage.haskell.org/package/dbus>
+
 extra-source-files:
   readme.txt
   --
@@ -62,7 +67,7 @@
 source-repository this
   type: bazaar
   location: https://john-millikin.com/branches/dbus-core/0.9/
-  tag: dbus-core_0.9.2.1
+  tag: dbus-core_0.9.3
 
 library
   ghc-options: -Wall -O2
diff --git a/examples/simple.hs b/examples/simple.hs
--- a/examples/simple.hs
+++ b/examples/simple.hs
@@ -17,9 +17,7 @@
 
 module Main (main) where
 
-import           Data.Text
 import           Data.List (sort)
-
 import           DBus.Client.Simple
 
 main :: IO ()
@@ -31,9 +29,9 @@
 	reply <- call bus "org.freedesktop.DBus" "ListNames" []
 	
 	-- org.freedesktop.DBus.ListNames returns a single value, which is
-	-- a list of names (here represented as [Text])
+	-- a list of names (here represented as [String])
 	let Just names = fromVariant (reply !! 0)
 	
 	-- Print each name on a line, sorted so reserved names are below
 	-- temporary names.
-	mapM_ (putStrLn . unpack) (sort names)
+	mapM_ putStrLn (sort names)
diff --git a/scripts/common.bash b/scripts/common.bash
--- a/scripts/common.bash
+++ b/scripts/common.bash
@@ -55,7 +55,7 @@
 	require_inkscape
 	
 	rm -f *.{aux,tex,idx,log,out,toc,pdf}
-	$ANANSI -w -l latex-noweb -o dbus-core.tex src/dbus-core.anansi || exit 1
+	$ANANSI weave -o dbus-core.tex src/dbus-core.anansi || exit 1
 	$INKSCAPE --export-eps=latex/figure_1.eps latex/figure_1.svg
 	$XELATEX dbus-core.tex > /dev/null || exit 1
 	$XELATEX dbus-core.tex > /dev/null || exit 1
@@ -69,6 +69,6 @@
 	require_cabal_dev
 	
 	rm -rf hs dist
-	$ANANSI -o hs src/dbus-core.anansi || exit 1
+	$ANANSI tangle -o hs src/dbus-core.anansi || exit 1
 	$CABAL_DEV install || exit 1
 }
diff --git a/scripts/dist b/scripts/dist
--- a/scripts/dist
+++ b/scripts/dist
@@ -14,7 +14,7 @@
 echo "Building dist for dbus-core_$VERSION using $CABAL_DEV"
 
 rm -rf hs dist
-$ANANSI --noline -o hs src/dbus-core.anansi || exit 1
+$ANANSI tangle --disable-line-pragmas -o hs src/dbus-core.anansi || exit 1
 $CABAL_DEV configure || exit 1
 $CABAL_DEV build || exit 1
 $CABAL_DEV sdist || exit 1
diff --git a/scripts/run-benchmarks b/scripts/run-benchmarks
--- a/scripts/run-benchmarks
+++ b/scripts/run-benchmarks
@@ -12,7 +12,7 @@
 require_cabal_dev
 
 rm -rf hs dist
-$ANANSI -o hs src/dbus-core.anansi || exit 1
+$ANANSI tangle -o hs src/dbus-core.anansi || exit 1
 $CABAL_DEV install || exit 1
 
 pushd benchmarks
diff --git a/scripts/run-coverage b/scripts/run-coverage
--- a/scripts/run-coverage
+++ b/scripts/run-coverage
@@ -12,7 +12,7 @@
 require_cabal_dev
 
 rm -rf hs dist
-$ANANSI --noline -o hs src/dbus-core.anansi || exit 1
+$ANANSI --disable-line-pragmas tangle -o hs src/dbus-core.anansi || exit 1
 
 pushd tests
 rm -rf dist
diff --git a/scripts/run-tests b/scripts/run-tests
--- a/scripts/run-tests
+++ b/scripts/run-tests
@@ -12,7 +12,7 @@
 require_cabal_dev
 
 rm -rf hs dist
-$ANANSI -o hs src/dbus-core.anansi || exit 1
+$ANANSI tangle -o hs src/dbus-core.anansi || exit 1
 cabal-dev install || exit 1
 
 pushd tests
diff --git a/src/dbus-core.anansi b/src/dbus-core.anansi
--- a/src/dbus-core.anansi
+++ b/src/dbus-core.anansi
@@ -13,7 +13,8 @@
 :# You should have received a copy of the GNU General Public License
 :# along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-:option tab-size 4
+:loom anansi.noweb
+:option tab-size=4
 
 \documentclass{article}
 
